## view
Class EditTournamentPage

    java.lang.Object
      view.GoResponse
          view.GoPage
              view.EditTournamentPage

    public class EditTournamentPage

extends GoPage

Constructor Summary
`EditTournamentPage(Tournament tournament)` Constructs the page.

Method Summary

Methods inherited from class view.GoPage
`getSource, getSource`

Methods inherited from class view.GoResponse
`addCookie, getCookies`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditTournamentPage

    public EditTournamentPage(Tournament tournament)

  Constructs the page.

  Parameters:
    `tournament` - the tournament to edit. if null, the page contains a form to create a new tournament.